XCB 1.8.1

- Main Page
- Modules
- Data Structures
- Files

- File List
- Globals

dri2.h
1 /*
2 * This file generated automatically from dri2.xml by c_client.py.
3 * Edit at your peril.
4 */
5
12 #ifndef __DRI2_H
13 #define __DRI2_H
14
15 #include "xcb.h"
16 #include "xproto.h"
17
18 #ifdef __cplusplus
19 extern "C" {
20 #endif
21
22 #define XCB_DRI2_MAJOR_VERSION 1
23 #define XCB_DRI2_MINOR_VERSION 3
24
25 extern xcb_extension_t xcb_dri2_id;
26
27 typedef enum xcb_dri2_attachment_t {
28 XCB_DRI2_ATTACHMENT_BUFFER_FRONT_LEFT,
29 XCB_DRI2_ATTACHMENT_BUFFER_BACK_LEFT,
30 XCB_DRI2_ATTACHMENT_BUFFER_FRONT_RIGHT,
31 XCB_DRI2_ATTACHMENT_BUFFER_BACK_RIGHT,
32 XCB_DRI2_ATTACHMENT_BUFFER_DEPTH,
33 XCB_DRI2_ATTACHMENT_BUFFER_STENCIL,
34 XCB_DRI2_ATTACHMENT_BUFFER_ACCUM,
35 XCB_DRI2_ATTACHMENT_BUFFER_FAKE_FRONT_LEFT,
36 XCB_DRI2_ATTACHMENT_BUFFER_FAKE_FRONT_RIGHT,
37 XCB_DRI2_ATTACHMENT_BUFFER_DEPTH_STENCIL,
38 XCB_DRI2_ATTACHMENT_BUFFER_HIZ
39 } xcb_dri2_attachment_t;
40
41 typedef enum xcb_dri2_driver_type_t {
42 XCB_DRI2_DRIVER_TYPE_DRI,
43 XCB_DRI2_DRIVER_TYPE_VDPAU
44 } xcb_dri2_driver_type_t;
45
46 typedef enum xcb_dri2_event_type_t {
47 XCB_DRI2_EVENT_TYPE_EXCHANGE_COMPLETE = 1,
48 XCB_DRI2_EVENT_TYPE_BLIT_COMPLETE = 2,
49 XCB_DRI2_EVENT_TYPE_FLIP_COMPLETE = 3
50 } xcb_dri2_event_type_t;
51
55 typedef struct xcb_dri2_dri2_buffer_t {
56 uint32_t attachment;
57 uint32_t name;
58 uint32_t pitch;
59 uint32_t cpp;
60 uint32_t flags;
61 } xcb_dri2_dri2_buffer_t;
62
66 typedef struct xcb_dri2_dri2_buffer_iterator_t {
67 xcb_dri2_dri2_buffer_t *data;
68 int rem;
69 int index;
70 } xcb_dri2_dri2_buffer_iterator_t;
71
75 typedef struct xcb_dri2_attach_format_t {
76 uint32_t attachment;
77 uint32_t format;
78 } xcb_dri2_attach_format_t;
79
83 typedef struct xcb_dri2_attach_format_iterator_t {
84 xcb_dri2_attach_format_t *data;
85 int rem;
86 int index;
87 } xcb_dri2_attach_format_iterator_t;
88
92 typedef struct xcb_dri2_query_version_cookie_t {
93 unsigned int sequence;
94 } xcb_dri2_query_version_cookie_t;
95
97 #define XCB_DRI2_QUERY_VERSION 0
98
102 typedef struct xcb_dri2_query_version_request_t {
103 uint8_t major_opcode;
104 uint8_t minor_opcode;
105 uint16_t length;
106 uint32_t major_version;
107 uint32_t minor_version;
108 } xcb_dri2_query_version_request_t;
109
113 typedef struct xcb_dri2_query_version_reply_t {
114 uint8_t response_type;
115 uint8_t pad0;
116 uint16_t sequence;
117 uint32_t length;
118 uint32_t major_version;
119 uint32_t minor_version;
120 } xcb_dri2_query_version_reply_t;
121
125 typedef struct xcb_dri2_connect_cookie_t {
126 unsigned int sequence;
127 } xcb_dri2_connect_cookie_t;
128
130 #define XCB_DRI2_CONNECT 1
131
135 typedef struct xcb_dri2_connect_request_t {
136 uint8_t major_opcode;
137 uint8_t minor_opcode;
138 uint16_t length;
139 xcb_window_t window;
140 uint32_t driver_type;
141 } xcb_dri2_connect_request_t;
142
146 typedef struct xcb_dri2_connect_reply_t {
147 uint8_t response_type;
148 uint8_t pad0;
149 uint16_t sequence;
150 uint32_t length;
151 uint32_t driver_name_length;
152 uint32_t device_name_length;
153 uint8_t pad1[16];
154 } xcb_dri2_connect_reply_t;
155
159 typedef struct xcb_dri2_authenticate_cookie_t {
160 unsigned int sequence;
161 } xcb_dri2_authenticate_cookie_t;
162
164 #define XCB_DRI2_AUTHENTICATE 2
165
169 typedef struct xcb_dri2_authenticate_request_t {
170 uint8_t major_opcode;
171 uint8_t minor_opcode;
172 uint16_t length;
173 xcb_window_t window;
174 uint32_t magic;
175 } xcb_dri2_authenticate_request_t;
176
180 typedef struct xcb_dri2_authenticate_reply_t {
181 uint8_t response_type;
182 uint8_t pad0;
183 uint16_t sequence;
184 uint32_t length;
185 uint32_t authenticated;
186 } xcb_dri2_authenticate_reply_t;
187
189 #define XCB_DRI2_CREATE_DRAWABLE 3
190
194 typedef struct xcb_dri2_create_drawable_request_t {
195 uint8_t major_opcode;
196 uint8_t minor_opcode;
197 uint16_t length;
198 xcb_drawable_t drawable;
199 } xcb_dri2_create_drawable_request_t;
200
202 #define XCB_DRI2_DESTROY_DRAWABLE 4
203
207 typedef struct xcb_dri2_destroy_drawable_request_t {
208 uint8_t major_opcode;
209 uint8_t minor_opcode;
210 uint16_t length;
211 xcb_drawable_t drawable;
212 } xcb_dri2_destroy_drawable_request_t;
213
217 typedef struct xcb_dri2_get_buffers_cookie_t {
218 unsigned int sequence;
219 } xcb_dri2_get_buffers_cookie_t;
220
222 #define XCB_DRI2_GET_BUFFERS 5
223
227 typedef struct xcb_dri2_get_buffers_request_t {
228 uint8_t major_opcode;
229 uint8_t minor_opcode;
230 uint16_t length;
231 xcb_drawable_t drawable;
232 uint32_t count;
233 } xcb_dri2_get_buffers_request_t;
234
238 typedef struct xcb_dri2_get_buffers_reply_t {
239 uint8_t response_type;
240 uint8_t pad0;
241 uint16_t sequence;
242 uint32_t length;
243 uint32_t width;
244 uint32_t height;
245 uint32_t count;
246 uint8_t pad1[12];
247 } xcb_dri2_get_buffers_reply_t;
248
252 typedef struct xcb_dri2_copy_region_cookie_t {
253 unsigned int sequence;
254 } xcb_dri2_copy_region_cookie_t;
255
257 #define XCB_DRI2_COPY_REGION 6
258
262 typedef struct xcb_dri2_copy_region_request_t {
263 uint8_t major_opcode;
264 uint8_t minor_opcode;
265 uint16_t length;
266 xcb_drawable_t drawable;
267 uint32_t region;
268 uint32_t dest;
269 uint32_t src;
270 } xcb_dri2_copy_region_request_t;
271
275 typedef struct xcb_dri2_copy_region_reply_t {
276 uint8_t response_type;
277 uint8_t pad0;
278 uint16_t sequence;
279 uint32_t length;
280 } xcb_dri2_copy_region_reply_t;
281
285 typedef struct xcb_dri2_get_buffers_with_format_cookie_t {
286 unsigned int sequence;
287 } xcb_dri2_get_buffers_with_format_cookie_t;
288
290 #define XCB_DRI2_GET_BUFFERS_WITH_FORMAT 7
291
295 typedef struct xcb_dri2_get_buffers_with_format_request_t {
296 uint8_t major_opcode;
297 uint8_t minor_opcode;
298 uint16_t length;
299 xcb_drawable_t drawable;
300 uint32_t count;
301 } xcb_dri2_get_buffers_with_format_request_t;
302
306 typedef struct xcb_dri2_get_buffers_with_format_reply_t {
307 uint8_t response_type;
308 uint8_t pad0;
309 uint16_t sequence;
310 uint32_t length;
311 uint32_t width;
312 uint32_t height;
313 uint32_t count;
314 uint8_t pad1[12];
315 } xcb_dri2_get_buffers_with_format_reply_t;
316
320 typedef struct xcb_dri2_swap_buffers_cookie_t {
321 unsigned int sequence;
322 } xcb_dri2_swap_buffers_cookie_t;
323
325 #define XCB_DRI2_SWAP_BUFFERS 8
326
330 typedef struct xcb_dri2_swap_buffers_request_t {
331 uint8_t major_opcode;
332 uint8_t minor_opcode;
333 uint16_t length;
334 xcb_drawable_t drawable;
335 uint32_t target_msc_hi;
336 uint32_t target_msc_lo;
337 uint32_t divisor_hi;
338 uint32_t divisor_lo;
339 uint32_t remainder_hi;
340 uint32_t remainder_lo;
341 } xcb_dri2_swap_buffers_request_t;
342
346 typedef struct xcb_dri2_swap_buffers_reply_t {
347 uint8_t response_type;
348 uint8_t pad0;
349 uint16_t sequence;
350 uint32_t length;
351 uint32_t swap_hi;
352 uint32_t swap_lo;
353 } xcb_dri2_swap_buffers_reply_t;
354
358 typedef struct xcb_dri2_get_msc_cookie_t {
359 unsigned int sequence;
360 } xcb_dri2_get_msc_cookie_t;
361
363 #define XCB_DRI2_GET_MSC 9
364
368 typedef struct xcb_dri2_get_msc_request_t {
369 uint8_t major_opcode;
370 uint8_t minor_opcode;
371 uint16_t length;
372 xcb_drawable_t drawable;
373 } xcb_dri2_get_msc_request_t;
374
378 typedef struct xcb_dri2_get_msc_reply_t {
379 uint8_t response_type;
380 uint8_t pad0;
381 uint16_t sequence;
382 uint32_t length;
383 uint32_t ust_hi;
384 uint32_t ust_lo;
385 uint32_t msc_hi;
386 uint32_t msc_lo;
387 uint32_t sbc_hi;
388 uint32_t sbc_lo;
389 } xcb_dri2_get_msc_reply_t;
390
394 typedef struct xcb_dri2_wait_msc_cookie_t {
395 unsigned int sequence;
396 } xcb_dri2_wait_msc_cookie_t;
397
399 #define XCB_DRI2_WAIT_MSC 10
400
404 typedef struct xcb_dri2_wait_msc_request_t {
405 uint8_t major_opcode;
406 uint8_t minor_opcode;
407 uint16_t length;
408 xcb_drawable_t drawable;
409 uint32_t target_msc_hi;
410 uint32_t target_msc_lo;
411 uint32_t divisor_hi;
412 uint32_t divisor_lo;
413 uint32_t remainder_hi;
414 uint32_t remainder_lo;
415 } xcb_dri2_wait_msc_request_t;
416
420 typedef struct xcb_dri2_wait_msc_reply_t {
421 uint8_t response_type;
422 uint8_t pad0;
423 uint16_t sequence;
424 uint32_t length;
425 uint32_t ust_hi;
426 uint32_t ust_lo;
427 uint32_t msc_hi;
428 uint32_t msc_lo;
429 uint32_t sbc_hi;
430 uint32_t sbc_lo;
431 } xcb_dri2_wait_msc_reply_t;
432
436 typedef struct xcb_dri2_wait_sbc_cookie_t {
437 unsigned int sequence;
438 } xcb_dri2_wait_sbc_cookie_t;
439
441 #define XCB_DRI2_WAIT_SBC 11
442
446 typedef struct xcb_dri2_wait_sbc_request_t {
447 uint8_t major_opcode;
448 uint8_t minor_opcode;
449 uint16_t length;
450 xcb_drawable_t drawable;
451 uint32_t target_sbc_hi;
452 uint32_t target_sbc_lo;
453 } xcb_dri2_wait_sbc_request_t;
454
458 typedef struct xcb_dri2_wait_sbc_reply_t {
459 uint8_t response_type;
460 uint8_t pad0;
461 uint16_t sequence;
462 uint32_t length;
463 uint32_t ust_hi;
464 uint32_t ust_lo;
465 uint32_t msc_hi;
466 uint32_t msc_lo;
467 uint32_t sbc_hi;
468 uint32_t sbc_lo;
469 } xcb_dri2_wait_sbc_reply_t;
470
472 #define XCB_DRI2_SWAP_INTERVAL 12
473
477 typedef struct xcb_dri2_swap_interval_request_t {
478 uint8_t major_opcode;
479 uint8_t minor_opcode;
480 uint16_t length;
481 xcb_drawable_t drawable;
482 uint32_t interval;
483 } xcb_dri2_swap_interval_request_t;
484
486 #define XCB_DRI2_BUFFER_SWAP_COMPLETE 0
487
491 typedef struct xcb_dri2_buffer_swap_complete_event_t {
492 uint8_t response_type;
493 uint8_t pad0;
494 uint16_t sequence;
495 uint16_t event_type;
496 uint8_t pad1[2];
497 xcb_drawable_t drawable;
498 uint32_t ust_hi;
499 uint32_t ust_lo;
500 uint32_t msc_hi;
501 uint32_t msc_lo;
502 uint32_t sbc;
503 } xcb_dri2_buffer_swap_complete_event_t;
504
506 #define XCB_DRI2_INVALIDATE_BUFFERS 1
507
511 typedef struct xcb_dri2_invalidate_buffers_event_t {
512 uint8_t response_type;
513 uint8_t pad0;
514 uint16_t sequence;
515 xcb_drawable_t drawable;
516 } xcb_dri2_invalidate_buffers_event_t;
517
527 /*****************************************************************************
528 **
529 ** void xcb_dri2_dri2_buffer_next
530 **
531 ** @param xcb_dri2_dri2_buffer_iterator_t *i
532 ** @returns void
533 **
534 *****************************************************************************/
535
536 void
537 xcb_dri2_dri2_buffer_next (xcb_dri2_dri2_buffer_iterator_t *i );
538
549 /*****************************************************************************
550 **
551 ** xcb_generic_iterator_t xcb_dri2_dri2_buffer_end
552 **
553 ** @param xcb_dri2_dri2_buffer_iterator_t i
554 ** @returns xcb_generic_iterator_t
555 **
556 *****************************************************************************/
557
558 xcb_generic_iterator_t
559 xcb_dri2_dri2_buffer_end (xcb_dri2_dri2_buffer_iterator_t i );
560
570 /*****************************************************************************
571 **
572 ** void xcb_dri2_attach_format_next
573 **
574 ** @param xcb_dri2_attach_format_iterator_t *i
575 ** @returns void
576 **
577 *****************************************************************************/
578
579 void
580 xcb_dri2_attach_format_next (xcb_dri2_attach_format_iterator_t *i );
581
592 /*****************************************************************************
593 **
594 ** xcb_generic_iterator_t xcb_dri2_attach_format_end
595 **
596 ** @param xcb_dri2_attach_format_iterator_t i
597 ** @returns xcb_generic_iterator_t
598 **
599 *****************************************************************************/
600
601 xcb_generic_iterator_t
602 xcb_dri2_attach_format_end (xcb_dri2_attach_format_iterator_t i );
603
613 /*****************************************************************************
614 **
615 ** xcb_dri2_query_version_cookie_t xcb_dri2_query_version
616 **
617 ** @param xcb_connection_t *c
618 ** @param uint32_t major_version
619 ** @param uint32_t minor_version
620 ** @returns xcb_dri2_query_version_cookie_t
621 **
622 *****************************************************************************/
623
624 xcb_dri2_query_version_cookie_t
625 xcb_dri2_query_version (xcb_connection_t *c ,
626 uint32_t major_version ,
627 uint32_t minor_version );
628
641 /*****************************************************************************
642 **
643 ** xcb_dri2_query_version_cookie_t xcb_dri2_query_version_unchecked
644 **
645 ** @param xcb_connection_t *c
646 ** @param uint32_t major_version
647 ** @param uint32_t minor_version
648 ** @returns xcb_dri2_query_version_cookie_t
649 **
650 *****************************************************************************/
651
652 xcb_dri2_query_version_cookie_t
653 xcb_dri2_query_version_unchecked (xcb_connection_t *c ,
654 uint32_t major_version ,
655 uint32_t minor_version );
656
672 /*****************************************************************************
673 **
674 ** xcb_dri2_query_version_reply_t * xcb_dri2_query_version_reply
675 **
676 ** @param xcb_connection_t *c
677 ** @param xcb_dri2_query_version_cookie_t cookie
678 ** @param xcb_generic_error_t **e
679 ** @returns xcb_dri2_query_version_reply_t *
680 **
681 *****************************************************************************/
682
683 xcb_dri2_query_version_reply_t *
684 xcb_dri2_query_version_reply (xcb_connection_t *c ,
685 xcb_dri2_query_version_cookie_t cookie ,
686 xcb_generic_error_t **e );
687
688 int
689 xcb_dri2_connect_sizeof (const void *_buffer );
690
700 /*****************************************************************************
701 **
702 ** xcb_dri2_connect_cookie_t xcb_dri2_connect
703 **
704 ** @param xcb_connection_t *c
705 ** @param xcb_window_t window
706 ** @param uint32_t driver_type
707 ** @returns xcb_dri2_connect_cookie_t
708 **
709 *****************************************************************************/
710
711 xcb_dri2_connect_cookie_t
712 xcb_dri2_connect (xcb_connection_t *c ,
713 xcb_window_t window ,
714 uint32_t driver_type );
715
728 /*****************************************************************************
729 **
730 ** xcb_dri2_connect_cookie_t xcb_dri2_connect_unchecked
731 **
732 ** @param xcb_connection_t *c
733 ** @param xcb_window_t window
734 ** @param uint32_t driver_type
735 ** @returns xcb_dri2_connect_cookie_t
736 **
737 *****************************************************************************/
738
739 xcb_dri2_connect_cookie_t
740 xcb_dri2_connect_unchecked (xcb_connection_t *c ,
741 xcb_window_t window ,
742 uint32_t driver_type );
743
744
745 /*****************************************************************************
746 **
747 ** char * xcb_dri2_connect_driver_name
748 **
749 ** @param const xcb_dri2_connect_reply_t *R
750 ** @returns char *
751 **
752 *****************************************************************************/
753
754 char *
755 xcb_dri2_connect_driver_name (const xcb_dri2_connect_reply_t *R );
756
757
758 /*****************************************************************************
759 **
760 ** int xcb_dri2_connect_driver_name_length
761 **
762 ** @param const xcb_dri2_connect_reply_t *R
763 ** @returns int
764 **
765 *****************************************************************************/
766
767 int
768 xcb_dri2_connect_driver_name_length (const xcb_dri2_connect_reply_t *R );
769
770
771 /*****************************************************************************
772 **
773 ** xcb_generic_iterator_t xcb_dri2_connect_driver_name_end
774 **
775 ** @param const xcb_dri2_connect_reply_t *R
776 ** @returns xcb_generic_iterator_t
777 **
778 *****************************************************************************/
779
780 xcb_generic_iterator_t
781 xcb_dri2_connect_driver_name_end (const xcb_dri2_connect_reply_t *R );
782
783
784 /*****************************************************************************
785 **
786 ** void * xcb_dri2_connect_alignment_pad
787 **
788 ** @param const xcb_dri2_connect_reply_t *R
789 ** @returns void *
790 **
791 *****************************************************************************/
792
793 void *
794 xcb_dri2_connect_alignment_pad (const xcb_dri2_connect_reply_t *R );
795
796
797 /*****************************************************************************
798 **
799 ** int xcb_dri2_connect_alignment_pad_length
800 **
801 ** @param const xcb_dri2_connect_reply_t *R
802 ** @returns int
803 **
804 *****************************************************************************/
805
806 int
807 xcb_dri2_connect_alignment_pad_length (const xcb_dri2_connect_reply_t *R );
808
809
810 /*****************************************************************************
811 **
812 ** xcb_generic_iterator_t xcb_dri2_connect_alignment_pad_end
813 **
814 ** @param const xcb_dri2_connect_reply_t *R
815 ** @returns xcb_generic_iterator_t
816 **
817 *****************************************************************************/
818
819 xcb_generic_iterator_t
820 xcb_dri2_connect_alignment_pad_end (const xcb_dri2_connect_reply_t *R );
821
822
823 /*****************************************************************************
824 **
825 ** char * xcb_dri2_connect_device_name
826 **
827 ** @param const xcb_dri2_connect_reply_t *R
828 ** @returns char *
829 **
830 *****************************************************************************/
831
832 char *
833 xcb_dri2_connect_device_name (const xcb_dri2_connect_reply_t *R );
834
835
836 /*****************************************************************************
837 **
838 ** int xcb_dri2_connect_device_name_length
839 **
840 ** @param const xcb_dri2_connect_reply_t *R
841 ** @returns int
842 **
843 *****************************************************************************/
844
845 int
846 xcb_dri2_connect_device_name_length (const xcb_dri2_connect_reply_t *R );
847
848
849 /*****************************************************************************
850 **
851 ** xcb_generic_iterator_t xcb_dri2_connect_device_name_end
852 **
853 ** @param const xcb_dri2_connect_reply_t *R
854 ** @returns xcb_generic_iterator_t
855 **
856 *****************************************************************************/
857
858 xcb_generic_iterator_t
859 xcb_dri2_connect_device_name_end (const xcb_dri2_connect_reply_t *R );
860
876 /*****************************************************************************
877 **
878 ** xcb_dri2_connect_reply_t * xcb_dri2_connect_reply
879 **
880 ** @param xcb_connection_t *c
881 ** @param xcb_dri2_connect_cookie_t cookie
882 ** @param xcb_generic_error_t **e
883 ** @returns xcb_dri2_connect_reply_t *
884 **
885 *****************************************************************************/
886
887 xcb_dri2_connect_reply_t *
888 xcb_dri2_connect_reply (xcb_connection_t *c ,
889 xcb_dri2_connect_cookie_t cookie ,
890 xcb_generic_error_t **e );
891
901 /*****************************************************************************
902 **
903 ** xcb_dri2_authenticate_cookie_t xcb_dri2_authenticate
904 **
905 ** @param xcb_connection_t *c
906 ** @param xcb_window_t window
907 ** @param uint32_t magic
908 ** @returns xcb_dri2_authenticate_cookie_t
909 **
910 *****************************************************************************/
911
912 xcb_dri2_authenticate_cookie_t
913 xcb_dri2_authenticate (xcb_connection_t *c ,
914 xcb_window_t window ,
915 uint32_t magic );
916
929 /*****************************************************************************
930 **
931 ** xcb_dri2_authenticate_cookie_t xcb_dri2_authenticate_unchecked
932 **
933 ** @param xcb_connection_t *c
934 ** @param xcb_window_t window
935 ** @param uint32_t magic
936 ** @returns xcb_dri2_authenticate_cookie_t
937 **
938 *****************************************************************************/
939
940 xcb_dri2_authenticate_cookie_t
941 xcb_dri2_authenticate_unchecked (xcb_connection_t *c ,
942 xcb_window_t window ,
943 uint32_t magic );
944
960 /*****************************************************************************
961 **
962 ** xcb_dri2_authenticate_reply_t * xcb_dri2_authenticate_reply
963 **
964 ** @param xcb_connection_t *c
965 ** @param xcb_dri2_authenticate_cookie_t cookie
966 ** @param xcb_generic_error_t **e
967 ** @returns xcb_dri2_authenticate_reply_t *
968 **
969 *****************************************************************************/
970
971 xcb_dri2_authenticate_reply_t *
972 xcb_dri2_authenticate_reply (xcb_connection_t *c ,
973 xcb_dri2_authenticate_cookie_t cookie ,
974 xcb_generic_error_t **e );
975
988 /*****************************************************************************
989 **
990 ** xcb_void_cookie_t xcb_dri2_create_drawable_checked
991 **
992 ** @param xcb_connection_t *c
993 ** @param xcb_drawable_t drawable
994 ** @returns xcb_void_cookie_t
995 **
996 *****************************************************************************/
997
998 xcb_void_cookie_t
999 xcb_dri2_create_drawable_checked (xcb_connection_t *c ,
1000 xcb_drawable_t drawable );
1001
1011 /*****************************************************************************
1012 **
1013 ** xcb_void_cookie_t xcb_dri2_create_drawable
1014 **
1015 ** @param xcb_connection_t *c
1016 ** @param xcb_drawable_t drawable
1017 ** @returns xcb_void_cookie_t
1018 **
1019 *****************************************************************************/
1020
1021 xcb_void_cookie_t
1022 xcb_dri2_create_drawable (xcb_connection_t *c ,
1023 xcb_drawable_t drawable );
1024
1037 /*****************************************************************************
1038 **
1039 ** xcb_void_cookie_t xcb_dri2_destroy_drawable_checked
1040 **
1041 ** @param xcb_connection_t *c
1042 ** @param xcb_drawable_t drawable
1043 ** @returns xcb_void_cookie_t
1044 **
1045 *****************************************************************************/
1046
1047 xcb_void_cookie_t
1048 xcb_dri2_destroy_drawable_checked (xcb_connection_t *c ,
1049 xcb_drawable_t drawable );
1050
1060 /*****************************************************************************
1061 **
1062 ** xcb_void_cookie_t xcb_dri2_destroy_drawable
1063 **
1064 ** @param xcb_connection_t *c
1065 ** @param xcb_drawable_t drawable
1066 ** @returns xcb_void_cookie_t
1067 **
1068 *****************************************************************************/
1069
1070 xcb_void_cookie_t
1071 xcb_dri2_destroy_drawable (xcb_connection_t *c ,
1072 xcb_drawable_t drawable );
1073
1074 int
1075 xcb_dri2_get_buffers_sizeof (const void *_buffer ,
1076 uint32_t attachments_len );
1077
1087 /*****************************************************************************
1088 **
1089 ** xcb_dri2_get_buffers_cookie_t xcb_dri2_get_buffers
1090 **
1091 ** @param xcb_connection_t *c
1092 ** @param xcb_drawable_t drawable
1093 ** @param uint32_t count
1094 ** @param uint32_t attachments_len
1095 ** @param const uint32_t *attachments
1096 ** @returns xcb_dri2_get_buffers_cookie_t
1097 **
1098 *****************************************************************************/
1099
1100 xcb_dri2_get_buffers_cookie_t
1101 xcb_dri2_get_buffers (xcb_connection_t *c ,
1102 xcb_drawable_t drawable ,
1103 uint32_t count ,
1104 uint32_t attachments_len ,
1105 const uint32_t *attachments );
1106
1119 /*****************************************************************************
1120 **
1121 ** xcb_dri2_get_buffers_cookie_t xcb_dri2_get_buffers_unchecked
1122 **
1123 ** @param xcb_connection_t *c
1124 ** @param xcb_drawable_t drawable
1125 ** @param uint32_t count
1126 ** @param uint32_t attachments_len
1127 ** @param const uint32_t *attachments
1128 ** @returns xcb_dri2_get_buffers_cookie_t
1129 **
1130 *****************************************************************************/
1131
1132 xcb_dri2_get_buffers_cookie_t
1133 xcb_dri2_get_buffers_unchecked (xcb_connection_t *c ,
1134 xcb_drawable_t drawable ,
1135 uint32_t count ,
1136 uint32_t attachments_len ,
1137 const uint32_t *attachments );
1138
1139
1140 /*****************************************************************************
1141 **
1142 ** xcb_dri2_dri2_buffer_t * xcb_dri2_get_buffers_buffers
1143 **
1144 ** @param const xcb_dri2_get_buffers_reply_t *R
1145 ** @returns xcb_dri2_dri2_buffer_t *
1146 **
1147 *****************************************************************************/
1148
1149 xcb_dri2_dri2_buffer_t *
1150 xcb_dri2_get_buffers_buffers (const xcb_dri2_get_buffers_reply_t *R );
1151
1152
1153 /*****************************************************************************
1154 **
1155 ** int xcb_dri2_get_buffers_buffers_length
1156 **
1157 ** @param const xcb_dri2_get_buffers_reply_t *R
1158 ** @returns int
1159 **
1160 *****************************************************************************/
1161
1162 int
1163 xcb_dri2_get_buffers_buffers_length (const xcb_dri2_get_buffers_reply_t *R );
1164
1165
1166 /*****************************************************************************
1167 **
1168 ** xcb_dri2_dri2_buffer_iterator_t xcb_dri2_get_buffers_buffers_iterator
1169 **
1170 ** @param const xcb_dri2_get_buffers_reply_t *R
1171 ** @returns xcb_dri2_dri2_buffer_iterator_t
1172 **
1173 *****************************************************************************/
1174
1175 xcb_dri2_dri2_buffer_iterator_t
1176 xcb_dri2_get_buffers_buffers_iterator (const xcb_dri2_get_buffers_reply_t *R );
1177
1193 /*****************************************************************************
1194 **
1195 ** xcb_dri2_get_buffers_reply_t * xcb_dri2_get_buffers_reply
1196 **
1197 ** @param xcb_connection_t *c
1198 ** @param xcb_dri2_get_buffers_cookie_t cookie
1199 ** @param xcb_generic_error_t **e
1200 ** @returns xcb_dri2_get_buffers_reply_t *
1201 **
1202 *****************************************************************************/
1203
1204 xcb_dri2_get_buffers_reply_t *
1205 xcb_dri2_get_buffers_reply (xcb_connection_t *c ,
1206 xcb_dri2_get_buffers_cookie_t cookie ,
1207 xcb_generic_error_t **e );
1208
1218 /*****************************************************************************
1219 **
1220 ** xcb_dri2_copy_region_cookie_t xcb_dri2_copy_region
1221 **
1222 ** @param xcb_connection_t *c
1223 ** @param xcb_drawable_t drawable
1224 ** @param uint32_t region
1225 ** @param uint32_t dest
1226 ** @param uint32_t src
1227 ** @returns xcb_dri2_copy_region_cookie_t
1228 **
1229 *****************************************************************************/
1230
1231 xcb_dri2_copy_region_cookie_t
1232 xcb_dri2_copy_region (xcb_connection_t *c ,
1233 xcb_drawable_t drawable ,
1234 uint32_t region ,
1235 uint32_t dest ,
1236 uint32_t src );
1237
1250 /*****************************************************************************
1251 **
1252 ** xcb_dri2_copy_region_cookie_t xcb_dri2_copy_region_unchecked
1253 **
1254 ** @param xcb_connection_t *c
1255 ** @param xcb_drawable_t drawable
1256 ** @param uint32_t region
1257 ** @param uint32_t dest
1258 ** @param uint32_t src
1259 ** @returns xcb_dri2_copy_region_cookie_t
1260 **
1261 *****************************************************************************/
1262
1263 xcb_dri2_copy_region_cookie_t
1264 xcb_dri2_copy_region_unchecked (xcb_connection_t *c ,
1265 xcb_drawable_t drawable ,
1266 uint32_t region ,
1267 uint32_t dest ,
1268 uint32_t src );
1269
1285 /*****************************************************************************
1286 **
1287 ** xcb_dri2_copy_region_reply_t * xcb_dri2_copy_region_reply
1288 **
1289 ** @param xcb_connection_t *c
1290 ** @param xcb_dri2_copy_region_cookie_t cookie
1291 ** @param xcb_generic_error_t **e
1292 ** @returns xcb_dri2_copy_region_reply_t *
1293 **
1294 *****************************************************************************/
1295
1296 xcb_dri2_copy_region_reply_t *
1297 xcb_dri2_copy_region_reply (xcb_connection_t *c ,
1298 xcb_dri2_copy_region_cookie_t cookie ,
1299 xcb_generic_error_t **e );
1300
1301 int
1302 xcb_dri2_get_buffers_with_format_sizeof (const void *_buffer ,
1303 uint32_t attachments_len );
1304
1314 /*****************************************************************************
1315 **
1316 ** xcb_dri2_get_buffers_with_format_cookie_t xcb_dri2_get_buffers_with_format
1317 **
1318 ** @param xcb_connection_t *c
1319 ** @param xcb_drawable_t drawable
1320 ** @param uint32_t count
1321 ** @param uint32_t attachments_len
1322 ** @param const xcb_dri2_attach_format_t *attachments
1323 ** @returns xcb_dri2_get_buffers_with_format_cookie_t
1324 **
1325 *****************************************************************************/
1326
1327 xcb_dri2_get_buffers_with_format_cookie_t
1328 xcb_dri2_get_buffers_with_format (xcb_connection_t *c ,
1329 xcb_drawable_t drawable ,
1330 uint32_t count ,
1331 uint32_t attachments_len ,
1332 const xcb_dri2_attach_format_t *attachments );
1333
1346 /*****************************************************************************
1347 **
1348 ** xcb_dri2_get_buffers_with_format_cookie_t xcb_dri2_get_buffers_with_format_unchecked
1349 **
1350 ** @param xcb_connection_t *c
1351 ** @param xcb_drawable_t drawable
1352 ** @param uint32_t count
1353 ** @param uint32_t attachments_len
1354 ** @param const xcb_dri2_attach_format_t *attachments
1355 ** @returns xcb_dri2_get_buffers_with_format_cookie_t
1356 **
1357 *****************************************************************************/
1358
1359 xcb_dri2_get_buffers_with_format_cookie_t
1360 xcb_dri2_get_buffers_with_format_unchecked (xcb_connection_t *c ,
1361 xcb_drawable_t drawable ,
1362 uint32_t count ,
1363 uint32_t attachments_len ,
1364 const xcb_dri2_attach_format_t *attachments );
1365
1366
1367 /*****************************************************************************
1368 **
1369 ** xcb_dri2_dri2_buffer_t * xcb_dri2_get_buffers_with_format_buffers
1370 **
1371 ** @param const xcb_dri2_get_buffers_with_format_reply_t *R
1372 ** @returns xcb_dri2_dri2_buffer_t *
1373 **
1374 *****************************************************************************/
1375
1376 xcb_dri2_dri2_buffer_t *
1377 xcb_dri2_get_buffers_with_format_buffers (const xcb_dri2_get_buffers_with_format_reply_t *R );
1378
1379
1380 /*****************************************************************************
1381 **
1382 ** int xcb_dri2_get_buffers_with_format_buffers_length
1383 **
1384 ** @param const xcb_dri2_get_buffers_with_format_reply_t *R
1385 ** @returns int
1386 **
1387 *****************************************************************************/
1388
1389 int
1390 xcb_dri2_get_buffers_with_format_buffers_length (const xcb_dri2_get_buffers_with_format_reply_t *R );
1391
1392
1393 /*****************************************************************************
1394 **
1395 ** xcb_dri2_dri2_buffer_iterator_t xcb_dri2_get_buffers_with_format_buffers_iterator
1396 **
1397 ** @param const xcb_dri2_get_buffers_with_format_reply_t *R
1398 ** @returns xcb_dri2_dri2_buffer_iterator_t
1399 **
1400 *****************************************************************************/
1401
1402 xcb_dri2_dri2_buffer_iterator_t
1403 xcb_dri2_get_buffers_with_format_buffers_iterator (const xcb_dri2_get_buffers_with_format_reply_t *R );
1404
1420 /*****************************************************************************
1421 **
1422 ** xcb_dri2_get_buffers_with_format_reply_t * xcb_dri2_get_buffers_with_format_reply
1423 **
1424 ** @param xcb_connection_t *c
1425 ** @param xcb_dri2_get_buffers_with_format_cookie_t cookie
1426 ** @param xcb_generic_error_t **e
1427 ** @returns xcb_dri2_get_buffers_with_format_reply_t *
1428 **
1429 *****************************************************************************/
1430
1431 xcb_dri2_get_buffers_with_format_reply_t *
1432 xcb_dri2_get_buffers_with_format_reply (xcb_connection_t *c ,
1433 xcb_dri2_get_buffers_with_format_cookie_t cookie ,
1434 xcb_generic_error_t **e );
1435
1445 /*****************************************************************************
1446 **
1447 ** xcb_dri2_swap_buffers_cookie_t xcb_dri2_swap_buffers
1448 **
1449 ** @param xcb_connection_t *c
1450 ** @param xcb_drawable_t drawable
1451 ** @param uint32_t target_msc_hi
1452 ** @param uint32_t target_msc_lo
1453 ** @param uint32_t divisor_hi
1454 ** @param uint32_t divisor_lo
1455 ** @param uint32_t remainder_hi
1456 ** @param uint32_t remainder_lo
1457 ** @returns xcb_dri2_swap_buffers_cookie_t
1458 **
1459 *****************************************************************************/
1460
1461 xcb_dri2_swap_buffers_cookie_t
1462 xcb_dri2_swap_buffers (xcb_connection_t *c ,
1463 xcb_drawable_t drawable ,
1464 uint32_t target_msc_hi ,
1465 uint32_t target_msc_lo ,
1466 uint32_t divisor_hi ,
1467 uint32_t divisor_lo ,
1468 uint32_t remainder_hi ,
1469 uint32_t remainder_lo );
1470
1483 /*****************************************************************************
1484 **
1485 ** xcb_dri2_swap_buffers_cookie_t xcb_dri2_swap_buffers_unchecked
1486 **
1487 ** @param xcb_connection_t *c
1488 ** @param xcb_drawable_t drawable
1489 ** @param uint32_t target_msc_hi
1490 ** @param uint32_t target_msc_lo
1491 ** @param uint32_t divisor_hi
1492 ** @param uint32_t divisor_lo
1493 ** @param uint32_t remainder_hi
1494 ** @param uint32_t remainder_lo
1495 ** @returns xcb_dri2_swap_buffers_cookie_t
1496 **
1497 *****************************************************************************/
1498
1499 xcb_dri2_swap_buffers_cookie_t
1500 xcb_dri2_swap_buffers_unchecked (xcb_connection_t *c ,
1501 xcb_drawable_t drawable ,
1502 uint32_t target_msc_hi ,
1503 uint32_t target_msc_lo ,
1504 uint32_t divisor_hi ,
1505 uint32_t divisor_lo ,
1506 uint32_t remainder_hi ,
1507 uint32_t remainder_lo );
1508
1524 /*****************************************************************************
1525 **
1526 ** xcb_dri2_swap_buffers_reply_t * xcb_dri2_swap_buffers_reply
1527 **
1528 ** @param xcb_connection_t *c
1529 ** @param xcb_dri2_swap_buffers_cookie_t cookie
1530 ** @param xcb_generic_error_t **e
1531 ** @returns xcb_dri2_swap_buffers_reply_t *
1532 **
1533 *****************************************************************************/
1534
1535 xcb_dri2_swap_buffers_reply_t *
1536 xcb_dri2_swap_buffers_reply (xcb_connection_t *c ,
1537 xcb_dri2_swap_buffers_cookie_t cookie ,
1538 xcb_generic_error_t **e );
1539
1549 /*****************************************************************************
1550 **
1551 ** xcb_dri2_get_msc_cookie_t xcb_dri2_get_msc
1552 **
1553 ** @param xcb_connection_t *c
1554 ** @param xcb_drawable_t drawable
1555 ** @returns xcb_dri2_get_msc_cookie_t
1556 **
1557 *****************************************************************************/
1558
1559 xcb_dri2_get_msc_cookie_t
1560 xcb_dri2_get_msc (xcb_connection_t *c ,
1561 xcb_drawable_t drawable );
1562
1575 /*****************************************************************************
1576 **
1577 ** xcb_dri2_get_msc_cookie_t xcb_dri2_get_msc_unchecked
1578 **
1579 ** @param xcb_connection_t *c
1580 ** @param xcb_drawable_t drawable
1581 ** @returns xcb_dri2_get_msc_cookie_t
1582 **
1583 *****************************************************************************/
1584
1585 xcb_dri2_get_msc_cookie_t
1586 xcb_dri2_get_msc_unchecked (xcb_connection_t *c ,
1587 xcb_drawable_t drawable );
1588
1604 /*****************************************************************************
1605 **
1606 ** xcb_dri2_get_msc_reply_t * xcb_dri2_get_msc_reply
1607 **
1608 ** @param xcb_connection_t *c
1609 ** @param xcb_dri2_get_msc_cookie_t cookie
1610 ** @param xcb_generic_error_t **e
1611 ** @returns xcb_dri2_get_msc_reply_t *
1612 **
1613 *****************************************************************************/
1614
1615 xcb_dri2_get_msc_reply_t *
1616 xcb_dri2_get_msc_reply (xcb_connection_t *c ,
1617 xcb_dri2_get_msc_cookie_t cookie ,
1618 xcb_generic_error_t **e );
1619
1629 /*****************************************************************************
1630 **
1631 ** xcb_dri2_wait_msc_cookie_t xcb_dri2_wait_msc
1632 **
1633 ** @param xcb_connection_t *c
1634 ** @param xcb_drawable_t drawable
1635 ** @param uint32_t target_msc_hi
1636 ** @param uint32_t target_msc_lo
1637 ** @param uint32_t divisor_hi
1638 ** @param uint32_t divisor_lo
1639 ** @param uint32_t remainder_hi
1640 ** @param uint32_t remainder_lo
1641 ** @returns xcb_dri2_wait_msc_cookie_t
1642 **
1643 *****************************************************************************/
1644
1645 xcb_dri2_wait_msc_cookie_t
1646 xcb_dri2_wait_msc (xcb_connection_t *c ,
1647 xcb_drawable_t drawable ,
1648 uint32_t target_msc_hi ,
1649 uint32_t target_msc_lo ,
1650 uint32_t divisor_hi ,
1651 uint32_t divisor_lo ,
1652 uint32_t remainder_hi ,
1653 uint32_t remainder_lo );
1654
1667 /*****************************************************************************
1668 **
1669 ** xcb_dri2_wait_msc_cookie_t xcb_dri2_wait_msc_unchecked
1670 **
1671 ** @param xcb_connection_t *c
1672 ** @param xcb_drawable_t drawable
1673 ** @param uint32_t target_msc_hi
1674 ** @param uint32_t target_msc_lo
1675 ** @param uint32_t divisor_hi
1676 ** @param uint32_t divisor_lo
1677 ** @param uint32_t remainder_hi
1678 ** @param uint32_t remainder_lo
1679 ** @returns xcb_dri2_wait_msc_cookie_t
1680 **
1681 *****************************************************************************/
1682
1683 xcb_dri2_wait_msc_cookie_t
1684 xcb_dri2_wait_msc_unchecked (xcb_connection_t *c ,
1685 xcb_drawable_t drawable ,
1686 uint32_t target_msc_hi ,
1687 uint32_t target_msc_lo ,
1688 uint32_t divisor_hi ,
1689 uint32_t divisor_lo ,
1690 uint32_t remainder_hi ,
1691 uint32_t remainder_lo );
1692
1708 /*****************************************************************************
1709 **
1710 ** xcb_dri2_wait_msc_reply_t * xcb_dri2_wait_msc_reply
1711 **
1712 ** @param xcb_connection_t *c
1713 ** @param xcb_dri2_wait_msc_cookie_t cookie
1714 ** @param xcb_generic_error_t **e
1715 ** @returns xcb_dri2_wait_msc_reply_t *
1716 **
1717 *****************************************************************************/
1718
1719 xcb_dri2_wait_msc_reply_t *
1720 xcb_dri2_wait_msc_reply (xcb_connection_t *c ,
1721 xcb_dri2_wait_msc_cookie_t cookie ,
1722 xcb_generic_error_t **e );
1723
1733 /*****************************************************************************
1734 **
1735 ** xcb_dri2_wait_sbc_cookie_t xcb_dri2_wait_sbc
1736 **
1737 ** @param xcb_connection_t *c
1738 ** @param xcb_drawable_t drawable
1739 ** @param uint32_t target_sbc_hi
1740 ** @param uint32_t target_sbc_lo
1741 ** @returns xcb_dri2_wait_sbc_cookie_t
1742 **
1743 *****************************************************************************/
1744
1745 xcb_dri2_wait_sbc_cookie_t
1746 xcb_dri2_wait_sbc (xcb_connection_t *c ,
1747 xcb_drawable_t drawable ,
1748 uint32_t target_sbc_hi ,
1749 uint32_t target_sbc_lo );
1750
1763 /*****************************************************************************
1764 **
1765 ** xcb_dri2_wait_sbc_cookie_t xcb_dri2_wait_sbc_unchecked
1766 **
1767 ** @param xcb_connection_t *c
1768 ** @param xcb_drawable_t drawable
1769 ** @param uint32_t target_sbc_hi
1770 ** @param uint32_t target_sbc_lo
1771 ** @returns xcb_dri2_wait_sbc_cookie_t
1772 **
1773 *****************************************************************************/
1774
1775 xcb_dri2_wait_sbc_cookie_t
1776 xcb_dri2_wait_sbc_unchecked (xcb_connection_t *c ,
1777 xcb_drawable_t drawable ,
1778 uint32_t target_sbc_hi ,
1779 uint32_t target_sbc_lo );
1780
1796 /*****************************************************************************
1797 **
1798 ** xcb_dri2_wait_sbc_reply_t * xcb_dri2_wait_sbc_reply
1799 **
1800 ** @param xcb_connection_t *c
1801 ** @param xcb_dri2_wait_sbc_cookie_t cookie
1802 ** @param xcb_generic_error_t **e
1803 ** @returns xcb_dri2_wait_sbc_reply_t *
1804 **
1805 *****************************************************************************/
1806
1807 xcb_dri2_wait_sbc_reply_t *
1808 xcb_dri2_wait_sbc_reply (xcb_connection_t *c ,
1809 xcb_dri2_wait_sbc_cookie_t cookie ,
1810 xcb_generic_error_t **e );
1811
1824 /*****************************************************************************
1825 **
1826 ** xcb_void_cookie_t xcb_dri2_swap_interval_checked
1827 **
1828 ** @param xcb_connection_t *c
1829 ** @param xcb_drawable_t drawable
1830 ** @param uint32_t interval
1831 ** @returns xcb_void_cookie_t
1832 **
1833 *****************************************************************************/
1834
1835 xcb_void_cookie_t
1836 xcb_dri2_swap_interval_checked (xcb_connection_t *c ,
1837 xcb_drawable_t drawable ,
1838 uint32_t interval );
1839
1849 /*****************************************************************************
1850 **
1851 ** xcb_void_cookie_t xcb_dri2_swap_interval
1852 **
1853 ** @param xcb_connection_t *c
1854 ** @param xcb_drawable_t drawable
1855 ** @param uint32_t interval
1856 ** @returns xcb_void_cookie_t
1857 **
1858 *****************************************************************************/
1859
1860 xcb_void_cookie_t
1861 xcb_dri2_swap_interval (xcb_connection_t *c ,
1862 xcb_drawable_t drawable ,
1863 uint32_t interval );
1864
1865
1866 #ifdef __cplusplus
1867 }
1868 #endif
1869
1870 #endif
1871